common:
  api_name: spanner
  api_version: v1
  organization_name: google-cloud
  service_yaml: spanner.yaml
  gapic_yaml: v1/spanner_gapic.yaml
  src_proto_paths:
  - v1
  proto_deps:
  - name: google-common-protos
artifacts:
- name: java_gapic
  type: GAPIC_ONLY
  language: JAVA
  publish_targets:
  - name: java
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-java.git
    directory_mappings:
    - dest: google-cloud-spanner
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/java/gapic-google-cloud-spanner-v1
    - name: grpc
      dest: generated/java/grpc-google-cloud-spanner-v1
    - name: proto
      dest: generated/java/proto-google-cloud-spanner-v1
- name: python_gapic
  type: GAPIC_ONLY
  language: PYTHON
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/python/gapic-google-cloud-spanner-v1
    - name: grpc
      dest: generated/python/proto-google-cloud-spanner-v1
  - name: python
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-python.git
    directory_mappings:
    - src: google/cloud/spanner_v1
      dest: spanner/google/cloud/spanner_v1
    - src: tests/unit/gapic/v1
      dest: spanner/tests/gapic
    - name: grpc
      src: google/cloud/proto
      dest: spanner/google/cloud/proto
- name: php_gapic
  type: GAPIC_ONLY
  language: PHP
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/php/google-cloud-spanner-v1
- name: ruby_gapic
  type: GAPIC_ONLY
  language: RUBY
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/ruby/google-cloud-spanner
  - name: ruby
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-ruby.git
    directory_mappings:
    - src: lib/google/cloud/spanner/v1
      dest: google-cloud-spanner/lib/google/cloud/spanner/v1
- name: go_gapic
  type: GAPIC_ONLY
  language: GO
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/go/vendor/cloud.google.com/go/google-spanner-v1/vendor
  - name: go
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-go.git
    directory_mappings:
    - dest: spanner/apiv1
- name: csharp_gapic
  type: GAPIC_ONLY
  language: CSHARP
- name: nodejs_gapic
  type: GAPIC_ONLY
  language: NODEJS
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/nodejs/spanner
  - name: nodejs
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-node.git
    directory_mappings:
    - src: src/v1
      dest: packages/spanner/src/v1
- name: gapic_config
  type: GAPIC_CONFIG
